package cn.superdesk.uniorder.service.channel;

import cn.superdesk.uniorder.common.rest.response.R;
import cn.superdesk.uniorder.dao.entity.channel.UnifiedChannelProfitXVirt;
import cn.superdesk.uniorder.service.base.BaseService;
import com.github.pagehelper.PageInfo;

import java.util.List;
import java.util.Map;

/**
 * @Description:
 * @Author: linjinyu
 * @CreateDate: 6/3/20 3:04 PM
 * @UpdateUser: linjinyu
 * @UpdateDate: 6/3/20 3:04 PM
 * @UpdateRemark: 修改内容
 * @Version: 1.0
 */
public interface UnifiedChannelProfitXVirtService extends BaseService<UnifiedChannelProfitXVirt> {

    /****************************************** extends BaseService 部分 start ******************************************/

    int insertSelective(UnifiedChannelProfitXVirt entity);

    int updateByPrimaryKeySelective(UnifiedChannelProfitXVirt entity);

    @Deprecated
    void deleteObj(Long id);

    @Deprecated
    UnifiedChannelProfitXVirt findById(Long id);

    @Deprecated
    PageInfo<UnifiedChannelProfitXVirt> findByPaging(Map<String, Object> conditions, Integer pageNun, Integer pageSize);

    @Deprecated
    List<UnifiedChannelProfitXVirt> findAll(Map<String, Object> queryMap);

    /****************************************** extends BaseService 部分   end ******************************************/


    void addUnifiedChannelProfitXVirt(UnifiedChannelProfitXVirt entity);

    void updateUnifiedChannelProfitXVirt(UnifiedChannelProfitXVirt entity);

    void deleteUnifiedChannelProfitXVirt(Long id);

    UnifiedChannelProfitXVirt findUnifiedChannelProfitXVirtById(Long id);

    R<List<UnifiedChannelProfitXVirt>> pageQuery(Map<String, Object> conditions, int pageNun, int pageSize);

    ////


    List<Long> getVirtsByChannelId(Long channelId);

    List<UnifiedChannelProfitXVirt> findVirtsByChannelId(Long channelId);
}
